<%@ Page Language="C#" AutoEventWireup="true" Inherits="_Default" EnableSessionState="True" Codebehind="Default.aspx.cs" %>

<%@ Register Assembly="PlexityHide.GTP.WEB" Namespace="PlexityHide.GTP.WEB" TagPrefix="GTP" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>



<%@ Register assembly="PlexityHideAjax" namespace="PlexityHideAjax" tagprefix="cc2" %>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Ajax Gantt chart</title>
</head>

<body>
    <form id="form1" runat="server">
           
<cc1:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server" 
            CombineScripts="True" >
          <Scripts>        
            <asp:ScriptReference Name="Common.Common.js" Assembly="AjaxControlToolkit"  />
            <asp:ScriptReference Name="Compat.DragDrop.DragDropScripts.js" Assembly="AjaxControlToolkit"  />
            <asp:ScriptReference Name="PlexityHideAjax.Gantt_AjaxBehavior.js" Assembly="PlexityHideAjax"  />
            </Scripts>
        </cc1:ToolkitScriptManager>
      <asp:Image ID="Image1" runat="server" ImageUrl="~/plexityhide.gif" />
            <cc2:Gantt_AjaxExtender ID="Image1_Gantt_AjaxExtender" runat="server" ClientGanttRows="" ClientTimeItems="" DateScalerDetails="" DateScalerId="" DateScalerImg="" Enabled="True" TargetControlID="Image1" TargetControlIDForScript="" TimeItemCreateMode="False" TimeItemMarkerImage="">
            </cc2:Gantt_AjaxExtender>
      <br />
      <br />
      <span >
        <h1 >
          <span ><span >
            GTP.NET 3.0 The interactive Gantt chart for ASP.NET Ajax and Windows Forms...</span></span></h1>
        <h1 >
          <span ><span >
          </span></span>
          <span ><span >
            <span style="font-family: Arial">Brief</span></span></span></h1>
        <span >
          GTP.NET is a component package for .NET. The components helps you with time visualization
          and interaction. GTP.NET contains <b>a fully
            interactive Gantt chart and a fully interactive Schedule chart</b>. GTP.NET components
          can be delivered via WindowsForms applications, ASP.NET, Microsoft Ajax and even
          in reduced trust environments like ClickOnce and XBAP. GTP.NET is runtime license
          free.<br />
        </span>
      </span>
      <br />
      <strong>In this Ajax sample</strong>
  <ul>
    <li>
      You can zoom in and out, you can scroll in time.
    </li>
    <li>
      Please note when you make two time items collide on one row, that the row is made
      thicker
      (GanttRow.IncreaseRowHeightOnCollision=true).
    </li>
    <li>
      Also notice the ConflictAreas (red-stripes), these can be handled seperatly on the
      server side.</li>
    <li>Resize time items by dragging their east end</li>
    <li>
        Drag the date-scale to move in time... </li>
    <li>
      You can set the Gantt into schedule mode:
        &nbsp;<asp:CheckBox ID="CheckBox1" runat="server" AutoPostBack="True" OnCheckedChanged="CheckBox1_CheckedChanged"
          Text="Schedulemode" /></li>
    <li>Today we added code in the new OnGanttRow_ClientClick event that adds a time item
      each time you left click on a GanttRow</li>
    <li>Click on links to select them</li>
    <li>Add your own code on the server to actually perform your own business logic like;
      Room, Car, Sattelite, Resource resevations or what have you. </li>
  </ul>
      <br />
      <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
          &nbsp;<gtp:gantt_asp id="Gantt_ASP1" runat="server" height="429px" width="800px" 
                OnOnClientSideChangesApplied="Gantt_ASP1_OnClientSideChangesApplied" ClientTimeItems="True" 
                PagingPageSize="20" OnOnNode_ClientClick="Gantt_ASP1_OnNode_ClientClick" 
                OnOnTimeItem_ClientClick="Gantt_ASP1_OnTimeItem_ClientClick" 
                ClientSideTimeItemCreateMode="False"                 
                onontimeitemuserstringprepare="Gantt_ASP1_OnTimeItemUserStringPrepare" 
                ononnode_clientclick_nodekey="Gantt_ASP1_OnNode_ClientClick_NodeKey" 
                ></gtp:gantt_asp>
          &nbsp;<br />
          &nbsp;
        <asp:Label ID="LabelClickInfo" runat="server" Text="LabelClickInfo"></asp:Label>
            <br />
            <asp:Button ID="ButtonAddMoreRows" runat="server" OnClick="ButtonAddMoreRows_Click"
                Text="Add more rows" />
            <asp:Button ID="ButtonGotoPage" runat="server" OnClick="ButtonGotoPage_Click" Text="Go to page 3" />
        </ContentTemplate>
      </asp:UpdatePanel>
      &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;<br />
      &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
      <br />

      <div id="sss">
        <br />
        Feel free to provide feedback
        on support@plexityhide.com<br />
        Visit us at
        <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="http://www.plexityhide.com/gtpnet.htm">plexityHide.com</asp:HyperLink>&nbsp;<br />
        <br />
        Take a look at some other samples as well:<br />
        <a href="./LetsBuild_ProjectPlanner.aspx">LetsBuild_ProjectPlanner<br />
        </a><a href="LetsBuild_ResourceBooker.aspx">LetsBuild_ResourceBooker</a><br />
        <a href="LetsBuild_WeeklyPlanner.aspx">LetsBuild_WeeklyPlanner&nbsp;
          <br />
        </a>
        <br />
          Replacing the grid with a another grid of your choise is not easy but doable you
          can hide our grid:
          <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="Hide grid" />
          and then show it again
          <asp:Button ID="Button2" runat="server" OnClick="Button2_Click" Text="Show it again" /><br />
        <br />
        <h3 >
          <span ><span >
            <span >Who should use GTP.NET<span >
              &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span>
            </span></span></span>
        </h3>
        <p class="MsoNormal" >
          <span >Organizations that handle time
            oriented data will benefit from providing the market leading tool of time visualization
            and interaction to their developers. .NET developers using c#, VB.NET and Delphi.NET
            will gain momentum using the GTP.NET from plexityHide.com. Anyone that needs to
            represent and change time oriented data with windows forms or ASP.NET or XBAP or
            ClickOnce&nbsp; or WFP will get great advantages from using the GTP.NET that delivers 6000+ high
            quality man-hours focused on the specialized generic issue of time presentation
            and interaction.</span></p>
        <br />
        <br />
        <cc1:ReorderList ID="ReorderList1" runat="server">
        </cc1:ReorderList>
        <br />
        <br />
        <br />
        <br />
        
        Test to keep two Gantts on one page<br />
      <asp:UpdatePanel ID="UpdatePanel2" runat="server">
        <ContentTemplate>
          &nbsp;<gtp:gantt_asp id="Gantt_ASP2" runat="server" height="429px" width="800px" 
                OnOnClientSideChangesApplied="CheckBox1_CheckedChanged" ClientTimeItems="False" 
                PagingPageSize="20" OnOnNode_ClientClick="Gantt_ASP1_OnNode_ClientClick" 
                OnOnTimeItem_ClientClick="Gantt_ASP1_OnTimeItem_ClientClick" 
                UseColumnWidths="False"></gtp:gantt_asp>
          &nbsp;<br />
          &nbsp;
        <asp:Label ID="Label1" runat="server" Text="LabelClickInfo"></asp:Label>
        </ContentTemplate>
      </asp:UpdatePanel>
      
      </div>
  </form>
    <p>
    
        &nbsp;</p>
    <p>
        &nbsp;</p>
</body>
</html>

